Vector BLF: Vector::BLF::EthernetRxError Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Vector::BLF::EthernetRxError Struct Referencefinal

ETHERNET_RX_ERROR. More...

`#include <EthernetRxError.h>`

Inheritance diagram for Vector::BLF::EthernetRxError:

## Public Types
enum | Dir : uint16_t { Rx = 0 , Tx = 1 , TxRq = 2 }
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
virtual uint16_t | calculateStructLength () const
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | structLength {}
| Length of this structure.
uint16_t | channel {}
uint16_t | dir {}
| Direction flag.
uint16_t | hardwareChannel {}
| HW channel. 0 = invalid.
uint32_t | fcs {}
| Frame Check Sum.
uint16_t | frameDataLength {}
| Number of valid raw ethernet data bytes.
uint16_t | reservedEthernetRxError {}
uint32_t | error {}
std::vector< uint8_t > | frameData {}
| Max 1600 data bytes per frame.
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Detailed Description

ETHERNET_RX_ERROR.

Ethernet RX error frame.

## Member Enumeration Documentation

## ◆ Dir

enum Vector::BLF::EthernetRxError::Dir : uint16_t

enumeration for dir

Enumerator
Rx | receive
Tx | transmit
TxRq | transmit request

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::EthernetRxError::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ calculateStructLength()

uint16_t Vector::BLF::EthernetRxError::calculateStructLength | ( |  | ) | const
| virtual

Calculates structLength.

Returns
  struct length

## ◆ read()

void Vector::BLF::EthernetRxError::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::EthernetRxError::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::EthernetRxError::channel {}

The channel of the frame.

## ◆ error

uint32_t Vector::BLF::EthernetRxError::error {}

Error code

- 1: Data Length Error
- 2: Invalid CRC
- 3: Invalid Data received
- 4: Collision detected

## ◆ fcs

uint32_t Vector::BLF::EthernetRxError::fcs {}

Frame Check Sum.

Ethernet frame checksum.

## ◆ frameData

std::vector<uint8_t> Vector::BLF::EthernetRxError::frameData {}

Max 1600 data bytes per frame.

Raw Ethernet frame data. Max 1522 data bytes per frame.

## ◆ frameDataLength

uint16_t Vector::BLF::EthernetRxError::frameDataLength {}

Number of valid raw ethernet data bytes.

Number of valid raw ethernet data bytes, starting with Target MAC ID.

## ◆ reservedEthernetRxError

uint16_t Vector::BLF::EthernetRxError::reservedEthernetRxError {}

reserved

## ◆ structLength

uint16_t Vector::BLF::EthernetRxError::structLength {}

Length of this structure.

Length of this structure, without sizeof(ObjectHeader) and without raw data length

The documentation for this struct was generated from the following files:

- EthernetRxError.h
- EthernetRxError.cpp